Skip to main content

PUT /settings/integrations/stripe/\{key\}

PUT 

/settings/integrations/stripe/:key

PUT /settings/integrations/stripe/{key}

Request​

Path Parameters

    key stringrequired

Body

    config

    object

    invoices

    object

    sync_status stringnullable
    numbering_source stringnullable
    skip_zero_amount boolean
    auto_send boolean
    transaction_type_id int64nullable

    credit_notes

    object

    sync_status stringnullable
    numbering_source stringnullable
    skip_zero_amount boolean
    auto_send boolean
    transaction_type_id int64nullable

    payouts

    object

    sync_status stringnullable
    numbering_source stringnullable
    skip_zero_amount boolean
    transaction_type_id int64nullable
    timezone stringnullable
    id int64nullable
    key stringnullable
    type stringrequired

    Possible values: non-empty

    provider_key stringnullable
    name stringnullable

Responses​

OK

Schema

    config

    object

    invoices

    object

    sync_status stringnullable
    numbering_source stringnullable
    skip_zero_amount boolean
    auto_send boolean
    transaction_type_id int64nullable

    credit_notes

    object

    sync_status stringnullable
    numbering_source stringnullable
    skip_zero_amount boolean
    auto_send boolean
    transaction_type_id int64nullable

    payouts

    object

    sync_status stringnullable
    numbering_source stringnullable
    skip_zero_amount boolean
    transaction_type_id int64nullable
    timezone stringnullable
    id int64nullable
    key stringnullable
    type stringrequired

    Possible values: non-empty

    provider_key stringnullable
    name stringnullable
Loading...